Delete a customer address
Permanently deletes an address from a customer. The operation is idempotent — deleting an unknown address_id succeeds silently. Processing is asynchronous.
Parameters
Header Parameters
[Authentication] Required API key, in the form {prefix}.{secret}.
"a1b2c3d4.xK9pR2mVn6QwErTyUiOpAsDfGhJkLzXcVbNmQwErTyU""^[a-zA-Z0-9]{8}\\.[A-Za-z0-9_-]+$"Path Parameters
The ID of the customer to delete the address
"customer_id_1"The ID of the address to delete
"address_id_1"Responses
Objects have been sent to the processing queue. Partially invalid objects are rejected and returned in rejected_items.
Delete a customer address Permanently deletes an address from a customer. The operation is idempotent — deleting an unknown address_id succeeds silently. Processing is asynchronous. DELETE /v1/customers/{customer_id}/addresses/{address_id} deleteCustomerAddress Customers spm-api-key [Authentication] Required API key, in the form {prefix}.{secret}. customer_id The ID of the customer to delete the address address_id The ID of the address to delete Objects have been sent to the processing queue. Partially invalid objects are rejected and returned in rejected_items. All objects are invalid, or the request body is not an array, or the array exceeds the maximum allowed size Server error - Internal processing failure